Package org.eclipse.emf.compare.utils

## Class Objects

- java.lang.Object
- - org.eclipse.emf.compare.utils.Objects

    public final class Objects
    extends Object

Utility method useable on any `Object`.

Mostly answers the same interfaces as Guava's "Objects", but re-implemented here to avoid deprecation issues.

Since:
  3.5

### Nested Class Summary

Nested Classes
`static class` `Objects.ToStringHelper` Fluent interface to build a String representation of an object following the same format as guava's Objects.toStringHelper().

### Method Summary

All Methods Static Methods Concrete Methods
`static Objects.ToStringHelper` `toStringHelper​(Object object)` Creates a builder for the `toString()` of the given object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### toStringHelper

    public static Objects.ToStringHelper toStringHelper​(Object object)

Creates a builder for the `toString()` of the given object.

Parameters:
  `object` - The object we'll need a string representation of.
Returns:
  A builder for the `toString()` of the given object.